# expand aliases for non-interactive shell
shopt -s expand_aliases

alias vim='nvim'

# some more ls aliases
alias ll='ls -alF'
alias la='ls -AF'
alias l='ls -CF'

alias diff='diff --color=always'

# enable color support of ls and also add handy aliases
if [ -x /usr/bin/dircolors ]; then
    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
    alias ls='ls --color=auto'
    alias dir='dir --color=auto'
    alias vdir='vdir --color=auto'

    alias grep='grep --color=auto'
    alias fgrep='fgrep --color=auto'
    alias egrep='egrep --color=auto'
fi
